## r-bioc-densvis 1.10.3+dfsg

=== DESCRIPTION ===
Package: densvis
Title: Density-Preserving Data Visualization via Non-Linear
        Dimensionality Reduction
Version: 1.10.3
Date: 2023-07-31
Authors@R: 
  c(
    person(
      given = "Alan",
      family = "O'Callaghan",
      role = c("aut", "cre"),
      email = "alan.ocallaghan@outlook.com"
    ),
    person(given = "Ashwinn", family = "Narayan", role = "aut"),
    person(given = "Hyunghoon", family = "Cho", role = "aut")
  )
Description: 
  Implements the density-preserving modification to t-SNE 
  and UMAP described by Narayan et al. (2020) 
  <doi:10.1101/2020.05.12.077776>.
  The non-linear dimensionality reduction techniques t-SNE and UMAP
  enable users to summarise complex high-dimensional sequencing data
  such as single cell RNAseq using lower dimensional representations. 
  These lower dimensional representations enable the visualisation of discrete
  transcriptional states, as well as continuous trajectory (for example, in 
  early development). However, these methods focus on the local neighbourhood 
  structure of the data. In some cases, this results in
  misleading visualisations, where the density of cells in the low-dimensional
  embedding does not represent the transcriptional heterogeneity of data in the 
  original high-dimensional space. den-SNE and densMAP aim to enable more 
  accurate visual interpretation of high-dimensional datasets by producing 
  lower-dimensional embeddings that accurately represent the heterogeneity of 
  the original high-dimensional space, enabling the identification of 
  homogeneous and heterogeneous cell states.
  This accuracy is accomplished by including in the optimisation process a term
  which considers the local density of points in the original high-dimensional 
  space. This can help to create visualisations that are more representative of 
  heterogeneity in the original high-dimensional space.
License: MIT + file LICENSE
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.2.3
Imports: Rcpp, basilisk, assertthat, reticulate, irlba
Suggests: knitr, rmarkdown, BiocStyle, ggplot2, Rtsne, uwot, testthat
BugReports: https://github.com/Alanocallaghan/densvis/issues
LinkingTo: Rcpp
biocViews: DimensionReduction, Visualization, Software, SingleCell,
        Sequencing
VignetteBuilder: knitr
URL: https://bioconductor.org/packages/densvis
StagedInstall: no
git_url: https://git.bioconductor.org/packages/densvis
git_branch: RELEASE_3_17
git_last_commit: 3f6ce50
git_last_commit_date: 2023-07-30
Date/Publication: 2023-07-31
NeedsCompilation: yes
Packaged: 2023-07-31 20:32:05 UTC; biocbuild
Author: Alan O'Callaghan [aut, cre],
  Ashwinn Narayan [aut],
  Hyunghoon Cho [aut]
Maintainer: Alan O'Callaghan <alan.ocallaghan@outlook.com>

=== debian/changelog ===
r-bioc-densvis (1.10.3+dfsg-1) unstable; urgency=medium

  * Source-only upload
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 06 Aug 2023 23:14:35 +0200

r-bioc-densvis (1.10.2+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1042368)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 09:26:58 +0200

=== debian/control ===
Source: r-bioc-densvis
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-densvis
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-densvis.git
Homepage: https://bioconductor.org/packages/densvis/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-bioc-basilisk,
               r-cran-assertthat,
               r-cran-reticulate,
               r-cran-irlba
Testsuite: autopkgtest-pkg-r

Package: r-bioc-densvis
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: density-preserving data visualization via non-linear dimensionality reduction
 Implements the density-preserving modification to t-SNE
 and UMAP described by Narayan et al. (2020)
 <doi:10.1101/2020.05.12.077776>.
 The non-linear dimensionality reduction techniques t-SNE and UMAP
 enable users to summarise complex high-dimensional sequencing data
 such as single cell RNAseq using lower dimensional representations.
 These lower dimensional representations enable the visualisation of discrete
 transcriptional states, as well as continuous trajectory (for example, in
 early development). However, these methods focus on the local neighbourhood
 structure of the data. In some cases, this results in
 misleading visualisations, where the density of cells in the low-dimensional
 embedding does not represent the transcriptional heterogeneity of data in the
 original high-dimensional space. den-SNE and densMAP aim to enable more
 accurate visual interpretation of high-dimensional datasets by producing
 lower-dimensional embeddings that accurately represent the heterogeneity of
 the original high-dimensional space, enabling the identification of
 homogeneous and heterogeneous cell states.
 This accuracy is accomplished by including in the optimisation process a term
 which considers the local density of points in the original high-dimensional
 space. This can help to create visualisations that are more representative of
 heterogeneity in the original high-dimensional space.

## r-bioc-densvis 1.12.1%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: densvis
 Title: Density-Preserving Data Visualization via Non-Linear
         Dimensionality Reduction
-Version: 1.10.3
-Date: 2023-07-31
+Version: 1.12.1
+Date: 2023-09-03
 Authors@R: 
   c(
     person(
@@ -40,8 +40,8 @@
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
 RoxygenNote: 7.2.3
-Imports: Rcpp, basilisk, assertthat, reticulate, irlba
-Suggests: knitr, rmarkdown, BiocStyle, ggplot2, Rtsne, uwot, testthat
+Imports: Rcpp, basilisk, assertthat, reticulate, Rtsne, irlba
+Suggests: knitr, rmarkdown, BiocStyle, ggplot2, uwot, testthat
 BugReports: https://github.com/Alanocallaghan/densvis/issues
 LinkingTo: Rcpp
 biocViews: DimensionReduction, Visualization, Software, SingleCell,
@@ -50,12 +50,13 @@
 URL: https://bioconductor.org/packages/densvis
 StagedInstall: no
 git_url: https://git.bioconductor.org/packages/densvis
-git_branch: RELEASE_3_17
-git_last_commit: 3f6ce50
-git_last_commit_date: 2023-07-30
-Date/Publication: 2023-07-31
+git_branch: RELEASE_3_18
+git_last_commit: 052bd25
+git_last_commit_date: 2024-01-11
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-11
 NeedsCompilation: yes
-Packaged: 2023-07-31 20:32:05 UTC; biocbuild
+Packaged: 2024-01-11 21:55:40 UTC; biocbuild
 Author: Alan O'Callaghan [aut, cre],
   Ashwinn Narayan [aut],
   Hyunghoon Cho [aut]

=== debian/changelog ===
r-bioc-densvis (1.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2024 11:03:31 +0100

r-bioc-densvis (1.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 10:42:09 +0100

## r-bioc-densvis 1.12.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                r-bioc-basilisk,
                r-cran-assertthat,
                r-cran-reticulate,
+               r-cran-rtsne,
                r-cran-irlba
 Testsuite: autopkgtest-pkg-r

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
https://bioconductor.org/packages/release/bioc/html/densvis.html .*/densvis_(.*).tar.gz

## r-bioc-densvis 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: densvis
 Title: Density-Preserving Data Visualization via Non-Linear
         Dimensionality Reduction
-Version: 1.12.1
-Date: 2023-09-03
+Version: 1.14.0
+Date: 2024-03-05
 Authors@R: 
   c(
     person(
@@ -50,13 +50,13 @@
 URL: https://bioconductor.org/packages/densvis
 StagedInstall: no
 git_url: https://git.bioconductor.org/packages/densvis
-git_branch: RELEASE_3_18
-git_last_commit: 052bd25
-git_last_commit_date: 2024-01-11
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-11
+git_branch: RELEASE_3_19
+git_last_commit: b89e044
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2024-01-11 21:55:40 UTC; biocbuild
+Packaged: 2024-05-01 03:31:56 UTC; biocbuild
 Author: Alan O'Callaghan [aut, cre],
   Ashwinn Narayan [aut],
   Hyunghoon Cho [aut]

=== debian/changelog ===
r-bioc-densvis (1.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 19:17:14 +0200

r-bioc-densvis (1.14.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 14:10:56 +0200

r-bioc-densvis (1.14.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 11:17:27 +0200

=== debian/control ===
--- 
+++ 
@@ -12,18 +12,20 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-bioc-basilisk,
+               r-bioc-basilisk (>= 1.16.0),
                r-cran-assertthat,
                r-cran-reticulate,
                r-cran-rtsne,
-               r-cran-irlba
+               r-cran-irlba,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-densvis
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-basilisk (>= 1.16.0)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: density-preserving data visualization via non-linear dimensionality reduction

## r-bioc-densvis 1.14.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: densvis
 Title: Density-Preserving Data Visualization via Non-Linear
         Dimensionality Reduction
-Version: 1.14.0
-Date: 2024-03-05
+Version: 1.14.1
+Date: 2024-09-06
 Authors@R: 
   c(
     person(
@@ -51,12 +51,12 @@
 StagedInstall: no
 git_url: https://git.bioconductor.org/packages/densvis
 git_branch: RELEASE_3_19
-git_last_commit: b89e044
-git_last_commit_date: 2024-04-30
+git_last_commit: a74b17e
+git_last_commit_date: 2024-09-06
 Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+Date/Publication: 2024-09-08
 NeedsCompilation: yes
-Packaged: 2024-05-01 03:31:56 UTC; biocbuild
+Packaged: 2024-09-08 21:11:17 UTC; biocbuild
 Author: Alan O'Callaghan [aut, cre],
   Ashwinn Narayan [aut],
   Hyunghoon Cho [aut]

=== debian/changelog ===
r-bioc-densvis (1.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Sep 2024 08:36:58 +0900

## r-bioc-densvis 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: densvis
 Title: Density-Preserving Data Visualization via Non-Linear
         Dimensionality Reduction
-Version: 1.14.1
+Version: 1.16.0
 Date: 2024-09-06
 Authors@R: 
   c(
@@ -50,13 +50,13 @@
 URL: https://bioconductor.org/packages/densvis
 StagedInstall: no
 git_url: https://git.bioconductor.org/packages/densvis
-git_branch: RELEASE_3_19
-git_last_commit: a74b17e
-git_last_commit_date: 2024-09-06
-Repository: Bioconductor 3.19
-Date/Publication: 2024-09-08
+git_branch: RELEASE_3_20
+git_last_commit: c6a55af
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-09-08 21:11:17 UTC; biocbuild
+Packaged: 2024-10-30 00:24:16 UTC; biocbuild
 Author: Alan O'Callaghan [aut, cre],
   Ashwinn Narayan [aut],
   Hyunghoon Cho [aut]

=== debian/changelog ===
r-bioc-densvis (1.16.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 12:21:33 +0100

r-bioc-densvis (1.16.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 17:57:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-densvis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-densvis.git
 Homepage: https://bioconductor.org/packages/densvis/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-bioc-basilisk (>= 1.16.0),
+               r-bioc-basilisk,
                r-cran-assertthat,
                r-cran-reticulate,
                r-cran-rtsne,
@@ -24,8 +24,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-basilisk (>= 1.16.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: density-preserving data visualization via non-linear dimensionality reduction
